## hkl-pseudoaxis-common-readonly-private

hkl-pseudoaxis-common-readonly-private

## Functions

HklMode * | hkl_mode_incidence_new ()
HklEngine * | hkl_engine_incidence_new ()
HklMode * | hkl_mode_emergence_new ()
HklEngine * | hkl_engine_emergence_new ()
#define | SURFACE_PARAMETERS()
#define | P99_PROTECT()
#define | HKL_MODE_INFO_incidence_DEFAULTS()
#define | HKL_MODE_INFO_emergence_DEFAULTS()
#define | REGISTER_READONLY()
#define | REGISTER_READONLY_INCIDENCE()
#define | REGISTER_READONLY_EMERGENCE()

## Types and Values

struct | HklModeIncidence

## Description

## Functions

### hkl_mode_incidence_new ()

    HklMode *
    hkl_mode_incidence_new (const HklModeInfo *info);

### hkl_engine_incidence_new ()

    HklEngine *
    hkl_engine_incidence_new (HklEngineList *engines);

### hkl_mode_emergence_new ()

    HklMode *
    hkl_mode_emergence_new (const HklModeInfo *info);

### hkl_engine_emergence_new ()

    HklEngine *
    hkl_engine_emergence_new (HklEngineList *engines);

### SURFACE_PARAMETERS()

    #define             SURFACE_PARAMETERS(_x, _y, _z)

### P99_PROTECT()

    #define P99_PROTECT(...) __VA_ARGS__

### HKL_MODE_INFO_incidence_DEFAULTS()

    #define             HKL_MODE_INFO_incidence_DEFAULTS(_axes, _parameters)

### HKL_MODE_INFO_emergence_DEFAULTS()

    #define             HKL_MODE_INFO_emergence_DEFAULTS(_axes, _parameters)

### REGISTER_READONLY()

    #define             REGISTER_READONLY(_engine, _func, _axes, _parameters)

### REGISTER_READONLY_INCIDENCE()

    #define REGISTER_READONLY_INCIDENCE(_func, _axes, _parameters) REGISTER_READONLY(incidence, _func, P99_PROTECT(_axes), _parameters)

### REGISTER_READONLY_EMERGENCE()

    #define REGISTER_READONLY_EMERGENCE(_func, _axes, _parameters) REGISTER_READONLY(emergence, _func, P99_PROTECT(_axes), _parameters)

## Types and Values

### struct HklModeIncidence

    struct HklModeIncidence {
    	HklMode parent;
    	HklParameter *n_x;
    	HklParameter *n_y;
    	HklParameter *n_z;
    };